/**
 * Cards component
 */

.card {
  border-color: transparent;
  border-style: solid;
  border-width: $border__width;
  padding: 8px;

  .thumb {
    &.thumb__bg--image {
      background: no-repeat center center;
      background-size: cover;

      img {
        display: none;
      }
    }

    img {
      width: 100%;
    }
  }

  &.card--inset{
    box-shadow: inset 0px 0px 6px rgba(34, 31, 93, 0.15);
  }

  &.card__thumb--top {
    .thumb {
      margin: -8px;
      margin-bottom: 0;
    }
  }

  &.card__size--small {
    padding: 4px;

    &.card__thumb--top {
      .thumb {
        margin: -4px;
        margin-bottom: 0;
      }
    }
  }

  &.card__size--big {
    padding: 18px;

    &.card__thumb--top {
      .thumb {
        margin: -18px;
        margin-bottom: 0;
      }
    }
  }

  &.card__size--mega {
    padding: 24px;

    &.card__thumb--top {
      .thumb {
        margin: -24px;
        margin-bottom: 0;
      }
    }
  }
}

@media only screen and (min-width: $wrap__md) {
  .card {
    padding: 16px;

    &.card__thumb--top {
      .thumb {
        margin: -16px;
        margin-bottom: 0;
      }
    }

    &.card__size--small {
      padding: 8px;

      &.card__thumb--top {
        .thumb {
          margin: -8px;
          margin-bottom: 0;
        }
      }
    }

    &.card__size--big {
      padding: 24px;

      &.card__thumb--top {
        .thumb {
          margin: -24px;
          margin-bottom: 0;
        }
      }
    }

    &.card__size--mega {
      padding: 30px;

      &.card__thumb--top {
        .thumb {
          margin: -24px;
          margin-bottom: 0;
        }
      }
    }
  }
}
